:root {
    --primary-color: #F9BF15;
    --text-color: #333;
    --background-color: #f5f5f5;

    --btn-color: #F9BF15;
    --btn-color-hover: #ffd34d;

    --font-family: 'Poppins', sans-serif;
}

.quote-modal {
  position: fixed;
  inset: 0;

  background: rgba(0,0,0,0.6);
  backdrop-filter: blur(6px);

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  visibility: hidden;

  transition: 0.3s ease;
  z-index: 4000;
}

.quote-modal.active {
  opacity: 1;
  visibility: visible;
}

/* MODAL BOX */
.quote-modal-content {
  background: #fff;
  width: 90%;
  max-width: 500px;

  padding: 25px;
  border-radius: 14px;

  position: relative;

  transform: scale(0.9);
  transition: 0.3s ease;
}

.quote-modal.active .quote-modal-content {
  transform: scale(1);
}

/* CLOSE BUTTON */
.quote-close {
  position: absolute;
  top: 10px;
  right: 12px;

  font-size: 24px;
  cursor: pointer;
}

/* TITLE */
.quote-modal-content h2 {
  margin-bottom: 5px;
}

.quote-modal-content p {
  font-size: 13px;
  color: #666;
  margin-bottom: 20px;
}

/* FORM */
.form-group {
  margin-bottom: 12px;
}

.form-group input,
.form-group select,
.form-group textarea {
  width: 100%;
  padding: 10px;

  border: 1px solid #ddd;
  border-radius: 8px;

  outline: none;
}



/* BUTTON */
.quote-modal-content button {
  width: 100%;
  padding: 12px;

  background: var(--primary-color);
  border: none;
  border-radius: 8px;

  font-weight: bold;
  cursor: pointer;

  transition: 0.3s ease;
}

.quote-modal-content button:hover {
  background: #000;
  color: #fff;
}

@media (max-width: 768px) {
  .quote-modal-content {
    width: 95%;
    padding: 20px;
  }
}

@media (max-width: 480px) {
  .quote-modal{
   overflow-y: scroll;
   width: 100%;
   height: 100%;
  }

  .quote-modal.active {
    overflow-y: scroll;
  }

  .quote-modal-content h2 {
    font-size: 20px;
  }
}